function[dgeo,m,Conm]=CorrSmooth(C,LFCORR2,SIZELF2,Alpha1,Theta1,ConcYrsReqd);

%Correlation Smoothing function for GLS parameter fitting based on all sites entered into the input files

%GEOGRAPHIC DISTANCE BETWEEN EACH STATION, 'dgeo' in the region-of-influence. Physical distance between each possible pair of stations in ROI
for a=1:size(C,1)
    for b=1:size(C,1)
        if a==b
            dgeo(b,a)=0;
        else
            dgeo(b,a)=((abs(C(a, 1)-C(b, 1))*1852*60)^(2)+(abs(C(a, 2)-C(b, 2))*1852*60)^(2))^(0.5);
        end
    end
end

%SAMPLE CROSS CORRELATION DETERMINATION
MinYear=min(LFCORR2(:,1));
MaxYear=max(LFCORR2(:,1));
ListYears=linspace(MinYear,MaxYear,(MaxYear-MinYear+1))';
YEARSMATRIX1=zeros((MaxYear-MinYear+1), size(SIZELF2,1));
YEARSMATRIX=[ListYears YEARSMATRIX1]; 
FlowCh1=zeros((MaxYear-MinYear+1), size(SIZELF2,1));
FlowCh=[ListYears FlowCh1];
for gg=1:size(SIZELF2,1)
    SIZESUM(gg,1)=sum(SIZELF2(1:gg,1));    
end

for aa=1:size(SIZESUM,1)
    if aa==1
        for bb=1:SIZESUM(aa,1)    
            for cc=1:size(YEARSMATRIX,1)
                if LFCORR2(bb,1)==YEARSMATRIX(cc,1)
                    YEARSMATRIX(cc,aa+1)=LFCORR2(bb,1);
                    FlowCh(cc,aa+1)=LFCORR2(bb,2);
                else
                    
                end
            end
        end
    else
        for dd=(SIZESUM(aa-1,1)+1):SIZESUM(aa,1)
            for ee=1:size(YEARSMATRIX,1)
                if LFCORR2(dd,1)==YEARSMATRIX(ee,1)
                    YEARSMATRIX(ee,aa+1)=LFCORR2(dd,1);
                    FlowCh(ee,aa+1)=LFCORR2(dd,2);
                else
                    
                end
            end
        end
    end
end

%Calculating Record Lengths from POR, m
for ff=1:size(SIZELF2,1)    
    m(ff,1)=SIZELF2(ff,1);
end
%for hh=1:size(ExtrS,1)
%    ExtrS(hh,1+size(A,2)+size(B,2)+size(C,2)+size(E,2)+1+size(Sigma,2))=m(hh,1);
%end

%Calculating the Concurrent Record Lengths, Conm
for ii=1:size(SIZELF2,1)
    for mm=1:size(SIZELF2,1)
        if ii==mm
            kk=1;
        else
            kk=1;
            for jj=1:size(YEARSMATRIX,1)
                if YEARSMATRIX(jj,ii+1)>0 & YEARSMATRIX(jj,mm+1)>0
                    kk=kk+1;
                else
                    
                end
        
            end
        end
        Conm(ii,mm)=kk-1;
    end
end

%Sample Cross Correlation Computations
for nn=1:size(SIZELF2,1)
    for oo=1:size(SIZELF2,1)
        if nn==oo
            samprij(nn,oo)=1;
        else
            qq=1;
            for pp=1:size(FlowCh,1)
                if YEARSMATRIX(pp,nn+1)>0 & YEARSMATRIX(pp,oo+1)>0
                    samprijflows(qq,1)=FlowCh(pp,nn+1);
                    samprijflows(qq,2)=FlowCh(pp,oo+1);
                    qq=qq+1;
                else
                    
                end
        
            end
            if qq==1
                samprij(nn,oo)=0;
            elseif qq==2
                CCoefficient=corrcoef(samprijflows(:,:));
                samprij(nn,oo)=CCoefficient(1,1);
            else    
                CCoefficient=corrcoef(samprijflows(:,:));
                samprij(nn,oo)=CCoefficient(1,2);
                samprijflows=[];
            end
        end
    end
end

%Retaining the sample correlations more than "ConcYrsReqd" years of concurrent record and plotting them against their corresponding spatial distance 
%if ParFit==3 & RegType==2

%else
    tt=1;
    for rr=1:size(Conm,1)
        for ss=1:size(Conm,2)
            if rr<ss
                if Conm(rr,ss)>ConcYrsReqd
                    rijplot(tt,1)=samprij(rr,ss);
                    rijplot(tt,2)=(dgeo(rr,ss)/1000);
                    tt=tt+1;
                else
                
                end
            else
            
            end
        end
    end
    %Plotting samprij versus intersite geographic distance if we have at least 12 points
    if tt>12
        GDX=linspace(0,1000,41);   %Every 25km
        for uu=1:size(GDX,2)
            RY(1,uu)=Theta1^((GDX(1,uu))/(Alpha1*GDX(1,uu)+1));
        end
        %IC  find the axes object
        global plot_count h_plot
        if plot_count==1
            h_plot=findobj('Tag','CorrSmooth');
        end
        Xrij=rijplot(:,2);
        Yrij=rijplot(:,1);
%IC        plot(Xrij,Yrij,'ko',GDX,RY,'m--')
        plot(h_plot,Xrij,Yrij,'ko',GDX,RY,'m--')
%IC        xlabel('Geographic Distance (km)','FontName','times','FontSize',14)
        xlabel(h_plot,'Geographic Distance (km)','FontName','times','FontSize',14)
%IC        ylabel('Sample {\it {\rho}}','FontName','times','FontSize',14)
        ylabel(h_plot,'Sample {\it {\rho}}','FontName','times','FontSize',14)
%IC        set(gca,'XTick',[0:100:1000],'FontName','times','FontSize',14)   %Specifies no. of tick marks, here we have from 0 to 1000 at increments of 100
        set(h_plot,'XTick',[0:100:1000],'FontName','times','FontSize',14)   %Specifies no. of tick marks, here we have from 0 to 1000 at increments of 100
        s={'0','100','200','300','400','500','600','700','800','900','1000'};
%IC        set(gca,'XTickLabel',s,'FontName','times','FontSize',14)
        set(h_plot,'XTickLabel',s,'FontName','times','FontSize',14)
%IC        set(gca,'YTick',[-1:0.1:1],'FontName','times','FontSize',14)   %Specifies no. of tick marks, here we have from -1 to 1.2 at increments of 0.1
        set(h_plot,'YTick',[-1:0.1:1],'FontName','times','FontSize',14)   %Specifies no. of tick marks, here we have from -1 to 1.2 at increments of 0.1
        t={'-1.0','-0.9','-0.8','-0.7','-0.6','-0.5','-0.4','-0.3','-0.2','-0.1','0','0.1','0.2','0.3','0.4','0.5','0.6','0.7','0.8','0.9','1.0'};
%IC        set(gca,'YTickLabel',t,'FontName','times','FontSize',14)
        set(h_plot,'YTickLabel',t,'FontName','times','FontSize',14)
        axis([0 1000 -1 1]); %axis ranges
%IC        box('on')   %places border on all four sides
        box(h_plot,'on')   %places border on all four sides
%IC        grid('on')
        grid(h_plot,'on')
    else
%IC  error--increase concurrent years of record
        msgbox('Too few data points to plot. Please decrease concurrent years of record.','Error','error');
    end
    %end