function[D]=EucDistance(A,B,C,E);
%Euclidean distance metric to measure closeness in predcitor-variable space.

%'A'-is the input matrix containing the predictors.
%'B'-is a matrix containing the predictands.
%'C'-is a matrix containing the Lat and Long.
%'E'-is a matrix containing the Lsigma, K, & G values.
%'F'-is a matrix containing the POR.

%Standard Deviations
for n=1:size(A,2)
    SD(n,1)=std(A(:,n));
    %SD1=std(A(:,1));
    %SD2=std(A(:,2));
    %SD3=std(A(:,3));
end

%Euclidean Distance Matrix
for i=1:size(A,1)
    for j=1:size(A,1)
        if i==j
            D(j,i)=0;
        else
            EucD=0;
            for p=1:size(A,2)
                EucD=EucD+((A(i,p)-A(j,p))/SD(p,1))^2;
                %D(j,i)=((((A(i,1)-A(j,1))/SD1)^2)+(((A(i,2)-A(j,2))/SD2)^2)+(((A(i,3)-A(j,3))/SD3)^2))^(0.5);
            end
            D(j,i)=EucD^(0.5);
        end
    end
end

for a=1:size(A,2) %Adding additional 3 columns of the predictor variables to the Euclidean matrix
    for b=1:size(A,1) %No. of gaged locations
        D(b,(a+size(A,1)))=A(b,a);
    end
end

for c=1:size(B,2) %Adding additional 3 columns of the predictand variables to the Euclidean matrix
    for d=1:size(B,1) %No. of gaged locations
        D(d,(c+size(A,1)+size(A,2)))=B(d,c);
    end
end

for e=1:size(C,2) %Adding additional 2 columns of the Lat and Long to the Euclidean matrix
    for f=1:size(C,1) %No. of gaged locations
        D(f,(e+size(A,1)+size(A,2)+size(B,2)))=C(f,e);
    end
end

for g=1:size(E,2) %Adding the 3 columns of Lsigma, K, and G values
    for h=1:size(E,1)
        D(h,g+size(A,1)+size(A,2)+size(B,2)+size(C,2))=E(h,g);
    end
end

%for k=1:size(F,2) %Adding the 2 columns of POR (Begin. and End)
%    for m=1:size(F,1)
%        D(m,k+size(A,1)+size(A,2)+size(B,2)+size(C,2)+size(E,2))=F(m,k);
%    end
%end