function varargout = GUI_Model(varargin)
% GUI_MODEL M-file for GUI_Model.fig
%      GUI_MODEL, by itself, creates a new GUI_MODEL or raises the existing
%      singleton*.
%
%      H = GUI_MODEL returns the handle to a new GUI_MODEL or the handle to
%      the existing singleton*.
%
%      GUI_MODEL('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in GUI_MODEL.M with the given input arguments.
%
%      GUI_MODEL('Property','Value',...) creates a new GUI_MODEL or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before GUI_Model_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to GUI_Model_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help GUI_Model

% Last Modified by GUIDE v2.5 15-Jan-2009 21:27:58
% 
% Modified by JEK 11.15.2010: Changes to allow input of annual time series
%   from a single file.

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @GUI_Model_OpeningFcn, ...
                   'gui_OutputFcn',  @GUI_Model_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before GUI_Model is made visible.
function GUI_Model_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to GUI_Model (see VARARGIN)

% Choose default command line output for GUI_Model
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

%IC  Put in symbol Alpha
axes('Units','normalized','Position',[0.258846426 0.209697013 0.247015452 0.036792039],'Visible','off');
text('Units','normalized','FontUnits','normalized','FontSize',0.8,'Position',[0.04,0.65],...
    'Tag','AlphaGT','Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255],'String','\alpha');

%IC  Put in symbol Theta
axes('Units','normalized','Position',[0.258846426 0.164074885 0.247015452 0.036792039],'Visible','off');
text('Units','normalized','FontUnits','normalized','FontSize',0.8,'Position',[0.04,0.65],...
    'Tag','ThetaGT','Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255],'String','\theta');

%IC  Put in subscript for MSE_RG
axes('Units','normalized','Position',[0.649836599 0.164074885 0.127036518 0.036792039],'Visible','off');
text('Units','normalized','FontUnits','normalized','FontSize',0.65,'Position',[0,0.4],...
    'Tag','USMSET','Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255],'String','MSE(G_{R}):');

%IC put in USGS logo (original size 600*229 pixels)
pos=get(handles.USGSlogo_Model,'Position');
h_USGSAxes=axes('Units','normalized',...
    'Position',[pos(1) pos(2) pos(3) pos(4)]);
uistack(h_USGSAxes,'bottom');
USGSlogo=imread('USGSlogo.JPG');
h_USGSImage=imagesc(USGSlogo);
colormap gray
%IC set(h_USGSImage,'Alphadata',.5);
set(h_USGSAxes,'Handlevisibility','off',...
    'Visible','off');

%IC Adjust screen size (developed in 1280*800)
old_u_units=get(gcf,'Units');
upos=get(gcf,'Position');
fig_ratio=(upos(4)*800)/(upos(3)*1280);
set(gcf,'Units','pixels');
upos=get(gcf,'Position');
upos_new=upos;
upos_new(4)=upos_new(3)*fig_ratio;
set(gcf,'Position',[upos_new(1) upos_new(2) upos_new(3) upos_new(4)]);
set(gcf,'Units',old_u_units);
upos=get(gcf,'Position');
upos(2)=(1-upos(4))/2;
set(gcf,'Position',[upos(1) upos(2) upos(3) upos(4)]);

% UIWAIT makes GUI_Model wait for user response (see UIRESUME)
% uiwait(handles.figure1);
uiwait(gcf);


% --- Outputs from this function are returned to the command line.
function varargout = GUI_Model_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
%IC  varargout{1} = handles.output;


% --- Executes on button press in ConvReg.
function ConvReg_Callback(hObject, eventdata, handles)
% hObject    handle to ConvReg (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of ConvReg
if get(hObject,'Value')==1
    set(handles.RoIReg,'Value',0);
    set(handles.PRoI,'Enable','off');
    set(handles.GRoI,'Enable','off');
    set(handles.HRoI,'Enable','off');
    set(handles.text2,'Enable','off');
    set(handles.MaxRG,'Enable','off');
    set(handles.text3,'Enable','off');
    set(handles.nminG,'Enable','off');
    set(handles.USW,'Enable','on');
elseif (get(hObject,'Value')==0)&(get(handles.RoIReg,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in RoIReg.
function RoIReg_Callback(hObject, eventdata, handles)
% hObject    handle to RoIReg (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of RoIReg
if get(hObject,'Value')==1
    set(handles.ConvReg,'Value',0);
    set(handles.PRoI,'Enable','on');
    set(handles.GRoI,'Enable','on');
    set(handles.HRoI,'Enable','on');
    if get(handles.HRoI,'Value')==1
        set(handles.text2,'Enable','on');
        set(handles.MaxRG,'Enable','on');
    else
        set(handles.text2,'Enable','off');
        set(handles.MaxRG,'Enable','off');
    end
    set(handles.text3,'Enable','on');
    set(handles.nminG,'Enable','on');
    set(handles.USW,'Enable','off');
elseif (get(hObject,'Value')==0)&(get(handles.ConvReg,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in PRoI.
function PRoI_Callback(hObject, eventdata, handles)
% hObject    handle to PRoI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of PRoI
if get(hObject,'Value')==1
    set(handles.GRoI,'Value',0);
    set(handles.HRoI,'Value',0);
    set(handles.text2,'Enable','off');
    set(handles.MaxRG,'Enable','off');
elseif (get(hObject,'Value')==0)&(get(handles.GRoI,'Value')==0)&(get(handles.HRoI,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in GRoI.
function GRoI_Callback(hObject, eventdata, handles)
% hObject    handle to GRoI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of GRoI
if get(hObject,'Value')==1
    set(handles.PRoI,'Value',0);
    set(handles.HRoI,'Value',0);
    set(handles.text2,'Enable','off');
    set(handles.MaxRG,'Enable','off');
elseif (get(hObject,'Value')==0)&(get(handles.PRoI,'Value')==0)&(get(handles.HRoI,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in HRoI.
function HRoI_Callback(hObject, eventdata, handles)
% hObject    handle to HRoI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of HRoI
if get(hObject,'Value')==1
    set(handles.PRoI,'Value',0);
    set(handles.GRoI,'Value',0);
    set(handles.text2,'Enable','on');
    set(handles.MaxRG,'Enable','on');
elseif (get(hObject,'Value')==0)&(get(handles.PRoI,'Value')==0)&(get(handles.GRoI,'Value')==0)
    set(hObject,'Value',1);
end



function MaxRG_Callback(hObject, eventdata, handles)
% hObject    handle to MaxRG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of MaxRG as text
%        str2double(get(hObject,'String')) returns contents of MaxRG as a double
if isnan(str2double(get(hObject,'String'))) | ~isreal(str2double(get(hObject,'String')))
    msgbox('Value entered is not a number.','Error','error');
    uiwait;
    set(hObject,'String','');
end



% --- Executes during object creation, after setting all properties.
function MaxRG_CreateFcn(hObject, eventdata, handles)
% hObject    handle to MaxRG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function nminG_Callback(hObject, eventdata, handles)
% hObject    handle to nminG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of nminG as text
%        str2double(get(hObject,'String')) returns contents of nminG as a double
if isnan(str2double(get(hObject,'String'))) | ~isreal(str2double(get(hObject,'String')))
    msgbox('Value entered is not a number.','Error','error');
    uiwait;
    set(hObject,'String','');
end



% --- Executes during object creation, after setting all properties.
function nminG_CreateFcn(hObject, eventdata, handles)
% hObject    handle to nminG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in OLS.
function OLS_Callback(hObject, eventdata, handles)
% hObject    handle to OLS (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of OLS
if get(hObject,'Value')==1
    set(handles.WLS,'Value',0);
    set(handles.GLS,'Value',0);
    set(handles.USW,'Value',0);
    set(handles.text5,'Enable','off');
    set(handles.ConcYrsReqdG1,'Enable','off');
    set(findobj('Tag','AlphaGT'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.AlphaG1,'Enable','off');
    set(findobj('Tag','ThetaGT'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.ThetaG1,'Enable','off');
    set(handles.text24,'Enable','off');
    set(handles.text17,'Enable','off');
    set(handles.text18,'Enable','off');
    set(handles.USOnOff,'Enable','off');
    set(handles.USPL,'Enable','off');
    set(handles.USTYtext,'Enable','off');
    set(handles.USTY,'Enable','off');
    set(findobj('Tag','USMSET'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.USMSE,'Enable','off');
elseif (get(hObject,'Value')==0)&(get(handles.WLS,'Value')==0)&...
       (get(handles.GLS,'Value')==0)&(get(handles.USW,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in WLS.
function WLS_Callback(hObject, eventdata, handles)
% hObject    handle to WLS (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of WLS
if get(hObject,'Value')==1
    set(handles.OLS,'Value',0);
    set(handles.GLS,'Value',0);
    set(handles.USW,'Value',0);
    set(handles.text5,'Enable','off');
    set(handles.ConcYrsReqdG1,'Enable','off');
    set(findobj('Tag','AlphaGT'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.AlphaG1,'Enable','off');
    set(findobj('Tag','ThetaGT'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.ThetaG1,'Enable','off');
    set(handles.text24,'Enable','off');
    set(handles.text17,'Enable','off');
    set(handles.text18,'Enable','off');
    set(handles.USOnOff,'Enable','off');
    set(handles.USPL,'Enable','off');
    set(handles.USTYtext,'Enable','off');
    set(handles.USTY,'Enable','off');
    set(findobj('Tag','USMSET'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.USMSE,'Enable','off');
%IC    LoadATS;
elseif (get(hObject,'Value')==0)&(get(handles.OLS,'Value')==0)&...
       (get(handles.GLS,'Value')==0)&(get(handles.USW,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in GLS.
function GLS_Callback(hObject, eventdata, handles)
% hObject    handle to GLS (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of GLS
global loadATS_status
global plot_count

if get(hObject,'Value')==1
    set(handles.OLS,'Value',0);
    set(handles.WLS,'Value',0);
    set(handles.USW,'Value',0);
    set(handles.USPL,'Enable','off');
    set(handles.USTYtext,'Enable','off');
    set(handles.USTY,'Enable','off');
    set(findobj('Tag','USMSET'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.USMSE,'Enable','off');
    LoadATS;
    if loadATS_status==0
        set(handles.text5,'Enable','inactive');
        set(handles.ConcYrsReqdG1,'Enable','inactive');
        set(findobj('Tag','AlphaGT'),'Color',[0.0 0.0 0.0]);
        set(handles.AlphaG1,'Enable','inactive');
        set(findobj('Tag','ThetaGT'),'Color',[0.0 0.0 0.0]);
        set(handles.ThetaG1,'Enable','inactive');
        set(handles.text24,'Enable','inactive');
        set(handles.text17,'Enable','inactive');
        set(handles.text18,'Enable','inactive');
        set(handles.USOnOff,'Enable','inactive');
        plot_count=0;
        GUI_Plot;
    end
elseif (get(hObject,'Value')==0)&(get(handles.OLS,'Value')==0)&...
       (get(handles.WLS,'Value')==0)&(get(handles.USW,'Value')==0)
    set(hObject,'Value',1);
end



% --- Executes on button press in USW.
function USW_Callback(hObject, eventdata, handles)
% hObject    handle to USW (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of USW
if get(hObject,'Value')==1
    set(handles.OLS,'Value',0);
    set(handles.WLS,'Value',0);
    set(handles.GLS,'Value',0);
    set(handles.text5,'Enable','off');
    set(handles.ConcYrsReqdG1,'Enable','off');
    set(findobj('Tag','AlphaGT'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.AlphaG1,'Enable','off');
    set(findobj('Tag','ThetaGT'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.ThetaG1,'Enable','off');
    set(handles.text24,'Enable','off');
    set(handles.text17,'Enable','off');
    set(handles.text18,'Enable','off');
    set(handles.USOnOff,'Enable','off');
    set(handles.USPL,'Enable','off');
    set(handles.USTYtext,'Enable','off');
    set(handles.USTY,'Enable','off');
    set(findobj('Tag','USMSET'),'Color',[0.5019607843137255 0.5019607843137255 0.5019607843137255]);
    set(handles.USMSE,'Enable','off');
    file_status=exist('UserWLS.txt','file');
    if file_status==0
        msgbox('Input file not found. Please provide UserWLS.txt or select other method.','Warning','warn');
        uiwait;
    end
elseif (get(hObject,'Value')==0)&(get(handles.OLS,'Value')==0)&...
       (get(handles.WLS,'Value')==0)&(get(handles.GLS,'Value')==0)
    set(hObject,'Value',1);
end



function ConcYrsReqdG1_Callback(hObject, eventdata, handles)
% hObject    handle to ConcYrsReqdG1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ConcYrsReqdG1 as text
%        str2double(get(hObject,'String')) returns contents of ConcYrsReqdG1 as a double


% --- Executes during object creation, after setting all properties.
function ConcYrsReqdG1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ConcYrsReqdG1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
%IC if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
%IC     set(hObject,'BackgroundColor','white');
%IC end



function AlphaG1_Callback(hObject, eventdata, handles)
% hObject    handle to AlphaG1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of AlphaG1 as text
%        str2double(get(hObject,'String')) returns contents of AlphaG1 as a double


% --- Executes during object creation, after setting all properties.
function AlphaG1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to AlphaG1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
%IC if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
%IC     set(hObject,'BackgroundColor','white');
%IC end



function ThetaG1_Callback(hObject, eventdata, handles)
% hObject    handle to ThetaG1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ThetaG1 as text
%        str2double(get(hObject,'String')) returns contents of ThetaG1 as a double


% --- Executes during object creation, after setting all properties.
function ThetaG1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ThetaG1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
%IC if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
%IC     set(hObject,'BackgroundColor','white');
%IC end


% --- Executes on button press in FormModel.
function FormModel_Callback(hObject, eventdata, handles)
% hObject    handle to FormModel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global RegTypeGL MaxRGL nminGL ParFitGL UserWeightGL ConcYrsReqdGL AlphaGL ThetaGL
global UWGL
global loadATS_status

if get(handles.ConvReg,'Value')==1
    RegTypeGL=1;
elseif get(handles.RoIReg,'Value')==1
    RegTypeGL=2;    
    if get(handles.PRoI,'Value')==1
        MaxRGL=1000000;
    elseif get(handles.GRoI,'Value')==1
        MaxRGL=1;
    elseif get(handles.HRoI,'Value')==1
        MaxRGL=str2double(get(handles.MaxRG,'String'));
    end
    nminGL=str2double(get(handles.nminG,'String'));
end

if get(handles.OLS,'Value')==1
    ParFitGL=1;
elseif get(handles.WLS,'Value')==1
    ParFitGL=2;
    UserWeightGL=999;
%IC    if loadATS_status==1
%IC        msgbox('There is no annual-time series input file found. Program will not continue.','Error','error');
%IC        uiwait;
%IC        quit;
%IC    elseif loadATS_status==2
%IC        msgbox('Insufficient number of annual-time series input files. Program will not continue.','Error','error');
%IC        uiwait;
%IC        quit;
%IC    elseif loadATS_status==3
%IC        msgbox('Error on loading annual-time series input files. Program will not continue.','Error','error');
%IC        uiwait;
%IC        quit;
%IC    end
elseif get(handles.GLS,'Value')==1
    ParFitGL=3;
    if loadATS_status==1
        msgbox('There is no annual-time series input file found. Program will not continue.','Error','error');
        uiwait;
        quit;
    elseif loadATS_status==2
        msgbox('Insufficient number of annual-time series input files. Program will not continue.','Error','error');
        uiwait;
        quit;
    elseif loadATS_status==3
        msgbox('Error on loading annual-time series input files. Program will not continue.','Error','error');
        uiwait;
        quit;
    end
    ConcYrsReqdGL=str2double(get(handles.ConcYrsReqdG1,'String'));
    AlphaGL=str2double(get(handles.AlphaG1,'String'));
    ThetaGL=str2double(get(handles.ThetaG1,'String'));
elseif get(handles.USW,'Value')==1
    ParFitGL=2;
    UserWeightGL=1;
    file_status=exist('UserWLS.txt','file');
    if file_status==0
        msgbox('Input file UserWLS.txt not found. Program will not continue.','Error','error');
        uiwait;
        quit;
    else
        load UserWLS.txt;
        UWGL=UserWLS;
    end
end

close;




% --- Executes on button press in USGSlogo_Model.
function USGSlogo_Model_Callback(hObject, eventdata, handles)
% hObject    handle to USGSlogo_Model (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)




%IC Function for loading annual-time series input files
function LoadATS()
global LFCORR2
global NumSites NumRows
global flag_load loadATS_status

if flag_load<1 %IC first time click on WLS or GLS, check and, if no problem, load input files
    %IC  loadATS_status=0 successful
    %IC  loadATS_status=1 no input file found
    %IC  loadATS_status=2 not enough input files
    %IC  loadATS_status=3 loading error (number of rows or columns not match)
    %IC++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    %IC  moved from Loading Status GUI
    
% JEK 9.13.2010 for v1.02: read in a single file to set up the correlation
% matrix for annual flow series.  This is done to avoid problems with
% windows formatting.  File is created with WREG shell program.
% if single file doesn't exist, revert to multiple time series files
    if(exist('USGSAnnualTimeSeries.txt', 'file')==2)
        disp('Using file: AnnualTimeSeries.txt')
        CorrelationInput=importdata('USGSAnnualTimeSeries.txt')
        LFCORR2 = CorrelationInput.data
        if(size(LFCORR2,1)==NumRows) %Check that size of file matches total number years of record at all stations
            msgbox('Loaded annual time series from file USGSAnnualTimeSeries.txt');
            loadATS_status=0;
        else
            msgbox('Error in loading combined Annual Time Series File. Size does not match number of years of data', ...
                'Warning', 'warn');
            uiwait;
            loadATS_status=3;
        end
%If the premade input file doesn't exist,
%the "CorrelationInput" file will be assembled by reading in separate .txt
%files for each site from the same directory that contain "USGS" in the
%filename.    
    else 
        AnnualFlows=dir('*USGS*.txt');
        loadATS_status=0;
        if length(AnnualFlows)==0
            msgbox('There is no annual-time series input file found.','Warning','warn');
            uiwait;
            loadATS_status=1;
        elseif length(AnnualFlows)<NumSites
            msgbox('Insufficient number of annual-time series input files.','Warning','warn');
            uiwait;
            loadATS_status=2;
        else %IC length(AnnualFlows)==NumSites, load input files
            ajkm_done_col=0;
            ajkm_row=0;
            for ajkm=1:length(AnnualFlows)
                filename=AnnualFlows(ajkm).name;
                data1=importdata(filename);
                ajkm_row=ajkm_row+size(data1.textdata,1);
                if size(data1.data,2)==2
                    if ajkm==1
                        CorrelationInput=data1.data;
                    else
                        CorrelationInput=[CorrelationInput; data1.data];
                    end
                    ajkm_done_col=ajkm_done_col+1;
                else
                    msgbox('Error on loading annual-time series input files.','Warning','warn');
                    uiwait;
                    loadATS_status=3;
                end
            end

            if (ajkm_done_col==length(AnnualFlows))&(size(CorrelationInput,1)==NumRows)
                LFCORR2=CorrelationInput(:, 1:2);              %Annual Series Values
            else
                msgbox('Error on loading annual-time series input files.','Warning','warn');
                uiwait;
                loadATS_status=3;
            end
        end
    end
    %IC++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
else %IC input files already checked
    if loadATS_status==1
        msgbox('There is no annual-time series input file found.','Warning','warn');
        uiwait;
    elseif loadATS_status==2
        msgbox('Insufficient number of annual-time series input files.','Warning','warn');
        uiwait;
    elseif loadATS_status==3
        msgbox('Error on loading annual-time series input files.','Warning','warn');
        uiwait;
    end
end

flag_load=flag_load+1;