function GUI_Transform(N_A_Selected,Name_A_Selected,Name_B_Selected,A2,B1,B_Selected)
global h_TMA_Radio h_TMB_Radio h_TFA_Edit h_TFB_Edit
global A_Transform A_Constant B_Transform B_Constant

B2=[B1(:,B_Selected)];

h_TFfig=figure('Name','WREG ver 1.0 - Variable Transformation',...
    'NumberTitle','off',...
    'MenuBar','none',...
    'Color',[0.83 0.81 0.78],...
    'Units','normalized',...
    'Position',[0.05 0.1 0.9 0.8],...
    'Resize','on');

%IC  Positopn setup
x_Var_Axes=0.02;
y_Var_Axes=0.9;
wd_Var_Axes=0.1065;
ht_Var_Axes=0.05;

width_each_transform=wd_Var_Axes;
x_TransformM_Axes=x_Var_Axes+wd_Var_Axes;
y_TransformM_Axes=y_Var_Axes;
wd_TransformM_Axes=width_each_transform*4;
ht_TransformM_Axes=ht_Var_Axes;

x_TransformF_Axes=x_TransformM_Axes+wd_TransformM_Axes;
y_TransformF_Axes=y_Var_Axes;
wd_TransformF_Axes=wd_TransformM_Axes;
ht_TransformF_Axes=ht_Var_Axes;

x_LeftLine_Axes=x_Var_Axes;
ht_LeftLine_Axes=0.8;
y_LeftLine_Axes=y_Var_Axes-ht_LeftLine_Axes;
wd_LeftLine_Axes=wd_Var_Axes;

x_RightLine_Axes=x_TransformF_Axes;
ht_RightLine_Axes=ht_LeftLine_Axes;
y_RightLine_Axes=y_TransformF_Axes-ht_RightLine_Axes;
wd_RightLine_Axes=wd_TransformF_Axes;

x_VarB=x_Var_Axes+wd_Var_Axes*0.005;
y_VarB=y_Var_Axes-ht_Var_Axes*3;
wd_VarB=wd_Var_Axes*0.99;
ht_VarB=ht_Var_Axes;

x_Dpd=x_VarB-wd_VarB*0.02;
y_Dpd=y_VarB+ht_VarB*1.2;
wd_Dpd=wd_VarB;
ht_Dpd=ht_VarB*1.05;

x_TMB_start=x_TransformM_Axes;
y_TMB=y_VarB;
wd_TMB=wd_TransformM_Axes/25;
ht_TMB=ht_VarB*1.2;
dx_TMB=(wd_TransformM_Axes-wd_TMB*4)/8;

x_TFB_start=x_TransformF_Axes;
y_TFB=y_VarB;
wd_TFB=wd_TransformF_Axes/6;
ht_TFB=ht_VarB;
dx_TFB=(wd_TransformF_Axes-wd_TFB*4)/8;

x_VarA=x_VarB;
dy_VarA=ht_Var_Axes;
wd_VarA=wd_VarB;
ht_VarA=ht_VarB;
y_VarA_start=y_VarB-dy_VarA*2-ht_VarA;

x_Ind=x_VarA-wd_VarA*0.02;
y_Ind=y_VarA_start+ht_VarA*1.2;
wd_Ind=wd_VarA;
ht_Ind=ht_VarA*1.05;

x_TMA_start=x_TMB_start;
wd_TMA=wd_TMB;
ht_TMA=ht_TMB;
dx_TMA=dx_TMB;

x_TFA_start=x_TFB_start;
wd_TFA=wd_TFB;
ht_TFA=ht_TFB;
dx_TFA=dx_TFB;

wd_OK=wd_Var_Axes;
ht_OK=ht_Var_Axes;
x_OK=(1-wd_OK)/2;
y_OK=(y_LeftLine_Axes-ht_OK)/2;

x_prt=x_Ind;
y_prt=y_OK;
wd_prt=0.4;
ht_prt=ht_OK*0.8;

%IC  left vertical line
axes('Units','normalized',...
    'Position',[x_LeftLine_Axes y_LeftLine_Axes wd_LeftLine_Axes ht_LeftLine_Axes],...
    'Color',[0.83 0.81 0.78],...
    'TickLength',[0 0],...
    'XTickLabel','',...
    'YTickLabel','',...
    'XAxisLocation','top',...
    'YAxisLocation','right');

%IC  right vertical line
axes('Units','normalized',...
    'Position',[x_RightLine_Axes y_RightLine_Axes wd_RightLine_Axes ht_RightLine_Axes],...
    'Color',[0.83 0.81 0.78],...
    'TickLength',[0 0],...
    'XTickLabel','',...
    'YTickLabel','',...
    'XAxisLocation','top',...
    'YAxisLocation','left');

%IC  axes & text for Var
axes('Units','normalized',...
    'Position',[x_Var_Axes y_Var_Axes wd_Var_Axes ht_Var_Axes],...
    'Color',[0.83 0.81 0.78],...
    'TickLength',[0 0],...
    'XTickLabel','',...
    'YTickLabel','',...
    'YAxisLocation','right');
text('Units','normalized',...
    'FontUnits','normalized',...
    'FontSize',0.571,...
    'Position',[0.35,0.5],...
    'String','Var');

%IC  axes & text for transformation method
axes('Units','normalized',...
    'Position',[x_TransformM_Axes y_TransformM_Axes wd_TransformM_Axes ht_TransformM_Axes],...
    'Color',[0.83 0.81 0.78],...
    'TickLength',[0 0],...
    'XTickLabel','',...
    'YTickLabel','',...
    'YAxisLocation','left');
text('Units','normalized',...
    'FontUnits','normalized',...
    'FontSize',0.571,...
    'Position',[0.06,0.5],...
    'String','None              log_{10}[...]              ln[...]                e^{[...]}');

%IC  axes & text for transformation formula
axes('Units','normalized',...
    'Position',[x_TransformF_Axes y_TransformF_Axes wd_TransformF_Axes ht_TransformF_Axes],...
    'Color',[0.83 0.81 0.78],...
    'TickLength',[0 0],...
    'XTickLabel','',...
    'YTickLabel','',...
    'YAxisLocation','left');
text('Units','normalized',...
    'FontUnits','normalized',...
    'FontSize',0.571,...
    'Position',[0.32,0.6],...
    'String','[(C1*(Var)^{C2}+C3)^{C4}]');
text('Units','normalized',...
    'FontUnits','normalized',...
    'FontSize',0.571,...
    'Position',[0.1,-0.8],...
    'String','C1                   C2                    C3                   C4');

h_Dpd_Text=uicontrol(h_TFfig,...
    'Units','normalized',...
    'Position',[x_Dpd y_Dpd wd_Dpd ht_Dpd],...
    'Style','text',...
    'String','Dependent',...
    'FontUnits','normalized',...
    'FontSize',0.6,...
    'FontName','MS Sans Serif',...
    'FontAngle','italic',...
    'HorizontalAlignment','left',...
    'BackgroundColor',[0.83 0.81 0.78]);
        
h_Ind_Text=uicontrol(h_TFfig,...
    'Units','normalized',...
    'Position',[x_Ind y_Ind wd_Ind ht_Ind],...
    'Style','text',...
    'String','Independent',...
    'FontUnits','normalized',...
    'FontSize',0.6,...
    'FontName','MS Sans Serif',...
    'FontAngle','italic',...
    'HorizontalAlignment','left',...
    'BackgroundColor',[0.83 0.81 0.78]);
        
for iVar=1:N_A_Selected+1
    if iVar==1  %IC for B2
        %IC  Variable to be transformed
        h_VarB_Text=uicontrol(h_TFfig,...
            'Units','normalized',...
            'Position',[x_VarB y_VarB wd_VarB ht_VarB],...
            'Style','text',...
            'String',Name_B_Selected,...
            'FontUnits','normalized',...
            'FontSize',0.6,...
            'FontName','MS Sans Serif',...
            'HorizontalAlignment','center',...
            'BackgroundColor',[0.83 0.81 0.78]);
        %IC  Transformation method
        for iTM=1:4
            x_TMB=x_TMB_start+dx_TMB*(iTM*2-1)+wd_TMB*(iTM-1);
            h_TMB_Radio(iTM)=uicontrol(h_TFfig,...
                'Units','normalized',...
                'Position',[x_TMB y_TMB wd_TMB ht_TMB],...
                'Style','radiobutton',...
                'FontUnits','normalized',...
                'FontSize',0.6,...
                'FontName','MS Sans Serif',...
                'HorizontalAlignment','center',...
                'BackgroundColor',[0.83 0.81 0.78],...
                'Callback',{@TMB_Radio_Callback,iTM});
        end
        set(h_TMB_Radio(1),'Value',1);
        %IC  Transformation formula
        for iTF=1:4
            x_TFB=x_TFB_start+dx_TFB*(iTF*2-1)+wd_TFB*(iTF-1);
            h_TFB_Edit(iTF)=uicontrol(h_TFfig,...
                'Units','normalized',...
                'Position',[x_TFB y_TFB wd_TFB ht_TFB],...
                'Style','edit',...
                'FontUnits','normalized',...
                'FontSize',0.6,...
                'FontName','MS Sans Serif',...
                'HorizontalAlignment','center',...
                'BackgroundColor',[0.83 0.81 0.78],...
                'Callback',{@TFB_Edit_Callback,iTF});
        end
        set(h_TFB_Edit(1),'String','1');
        set(h_TFB_Edit(2),'String','1');
        set(h_TFB_Edit(3),'String','0');
        set(h_TFB_Edit(4),'String','1');
    else  %IC for A2
        %IC  Variable to be transformed
        y_VarA=y_VarA_start-dy_VarA*(iVar-2)-ht_VarA*(iVar-2);
        h_VarA_Text(iVar-1)=uicontrol(h_TFfig,...
            'Units','normalized',...
            'Position',[x_VarA y_VarA wd_VarA ht_VarA],...
            'Style','text',...
            'String',Name_A_Selected(iVar-1,:),...
            'FontUnits','normalized',...
            'FontSize',0.6,...
            'FontName','MS Sans Serif',...
            'HorizontalAlignment','center',...
            'BackgroundColor',[0.83 0.81 0.78]);
        %IC  Transformation method
        for iTM=1:4
            x_TMA=x_TMA_start+dx_TMA*(iTM*2-1)+wd_TMA*(iTM-1);
            y_TMA=y_VarA;
            h_TMA_Radio(iVar-1,iTM)=uicontrol(h_TFfig,...
                'Units','normalized',...
                'Position',[x_TMA y_TMA wd_TMA ht_TMA],...
                'Style','radiobutton',...
                'FontUnits','normalized',...
                'FontSize',0.6,...
                'FontName','MS Sans Serif',...
                'HorizontalAlignment','center',...
                'BackgroundColor',[0.83 0.81 0.78],...
                'Callback',{@TMA_Radio_Callback,iVar,iTM});
        end
        set(h_TMA_Radio(iVar-1,1),'Value',1);
        %IC  Transformation formula
        for iTF=1:4
            x_TFA=x_TFA_start+dx_TFA*(iTF*2-1)+wd_TFA*(iTF-1);
            y_TFA=y_VarA;
            h_TFA_Edit(iVar-1,iTF)=uicontrol(h_TFfig,...
                'Units','normalized',...
                'Position',[x_TFA y_TFA wd_TFA ht_TFA],...
                'Style','edit',...
                'FontUnits','normalized',...
                'FontSize',0.6,...
                'FontName','MS Sans Serif',...
                'HorizontalAlignment','center',...
                'BackgroundColor',[0.83 0.81 0.78],...
                'Callback',{@TFA_Edit_Callback,iVar,iTF});
        end
        set(h_TFA_Edit(iVar-1,1),'String','1');
        set(h_TFA_Edit(iVar-1,2),'String','1');
        set(h_TFA_Edit(iVar-1,3),'String','0');
        set(h_TFA_Edit(iVar-1,4),'String','1');
    end
end

h_PrintText=uicontrol(h_TFfig,...
    'Units','normalized',...
    'Position',[x_prt y_prt wd_prt ht_prt],...
    'Style','text',...
    'String','Press ''Alt'' + ''PrntScrn'' to obtain screen capture. ',...
    'FontUnits','normalized',...
    'FontSize',0.6,...
    'FontName','MS Sans Serif',...
    'HorizontalAlignment','left',...
    'BackgroundColor',[0.83 0.81 0.78]);

h_TransformOK=uicontrol(h_TFfig,...
    'Units','normalized',...
    'Position',[x_OK y_OK wd_OK ht_OK],...
    'Style','pushbutton',...
    'String','OK',...
    'FontUnits','normalized',...
    'FontSize',0.7,...
    'FontName','MS Sans Serif',...
    'HorizontalAlignment','center',...
    'BackgroundColor',[0.83 0.81 0.78],...
    'Callback',{@TransformOK_Callback,h_TMB_Radio,h_TFB_Edit,N_A_Selected,h_TMA_Radio,h_TFA_Edit,A2,B2,Name_A_Selected,Name_B_Selected});

%IC put in USGS logo (original size 600*229 pixels)
    h_USGSAxes=axes('Units','normalized',...
        'Position',[0.923 0.011 0.069 0.048]);
    uistack(h_USGSAxes,'bottom');
    USGSlogo=imread('USGSlogo.JPG');
    h_USGSImage=imagesc(USGSlogo);
    colormap gray
%IC    set(h_USGSImage,'Alphadata',.5);
    set(h_USGSAxes,'Handlevisibility','off',...
        'Visible','off');

%IC Adjust screen size (developed in 1280*800)
old_u_units=get(gcf,'Units');
upos=get(gcf,'Position');
fig_ratio=(upos(4)*800)/(upos(3)*1280);
set(gcf,'Units','pixels');
upos=get(gcf,'Position');
upos_new=upos;
upos_new(4)=upos_new(3)*fig_ratio;
set(gcf,'Position',[upos_new(1) upos_new(2) upos_new(3) upos_new(4)]);
set(gcf,'Units',old_u_units);
upos=get(gcf,'Position');
upos(2)=(1-upos(4))/2;
set(gcf,'Position',[upos(1) upos(2) upos(3) upos(4)]);

uiwait(gcf);






%IC  Callback function for h_TMB_Radio
function TMB_Radio_Callback(src,eventdata,iTM)
global h_TMB_Radio

%IC  Check if none of the radio buttons is selected
%IC  check_0=0 : none selected; check_0=1 : at least one selected
check_0=0;
for iTM_cb=1:4
    if get(h_TMB_Radio(iTM_cb),'Value')==1
        check_0=1;
    end
end
if get(h_TMB_Radio(iTM),'Value')==1
    for iTM_cb=1:4
        if iTM_cb~=iTM
            set(h_TMB_Radio(iTM_cb),'Value',0);
        end
    end
elseif check_0==0
    set(h_TMB_Radio(iTM),'Value',1);
end






%IC  Callback function for h_TMA_Radio
function TMA_Radio_Callback(src,eventdata,iVar,iTM)
global h_TMA_Radio

%IC  Check if none of the radio buttons is selected
%IC  check_0=0: none selected; check_0=1: at least one selected
check_0=0;
for iTM_cb=1:4
    if get(h_TMA_Radio(iVar-1,iTM_cb),'Value')==1
        check_0=1;
    end
end
if get(h_TMA_Radio(iVar-1,iTM),'Value')==1
    for iTM_cb=1:4
        if iTM_cb~=iTM
            set(h_TMA_Radio(iVar-1,iTM_cb),'Value',0);
        end
    end
elseif check_0==0
    set(h_TMA_Radio(iVar-1,iTM),'Value',1);
end






%IC  Callback function for h_TransformOK
function TransformOK_Callback(src,eventdata,h_TMB_Radio,h_TFB_Edit,N_A_Selected,h_TMA_Radio,h_TFA_Edit,A2,B2,Name_A_Selected,Name_B_Selected)
global A_Transform A_Constant B_Transform B_Constant

for iTM=1:4
    if get(h_TMB_Radio(iTM),'Value')==1
        B_Transform=iTM;
    end
end
for iTF=1:4
    B_Constant(iTF)=str2double(get(h_TFB_Edit(iTF),'String'));
end
for iVar=1:N_A_Selected
    for iTM=1:4
        if get(h_TMA_Radio(iVar,iTM),'Value')==1
            A_Transform(iVar)=iTM;
        end
    end
    for iTF=1:4
        A_Constant(iVar,iTF)=str2double(get(h_TFA_Edit(iVar,iTF),'String'));
    end
end

%IC  Check if the transform formula result is 0 if log10 or ln is selected
%IC  check_B is the number of 0 values
%IC  B_0 is a 1*check_B matrix storing the problematic elements in order
check_B=0;
B_0=0;
if (B_Transform==2 | B_Transform==3)
    for icheck=1:size(B2,1)
        B_Value=((B_Constant(1,1)*B2(icheck,1)^(B_Constant(1,2)))+B_Constant(1,3))^(B_Constant(1,4));
        if B_Value==0
            check_B=check_B+1;
            B_0(check_B)=icheck;
        end
    end
end
%IC  check_A is a 1*(up to 5) matrix containing the number of 0 values in
%            each column in A2 after the transformation formula
%IC  A_0 is a (up to 5)*(max of check_A) matrix storing the problematic elements in order
check_A(1:N_A_Selected)=0;
A_0=0;
for iVar=1:N_A_Selected
    if (A_Transform(iVar)==2 | A_Transform(iVar)==3)
        for icheck=1:size(A2,1)
            A_Value=((A_Constant(iVar,1)*A2(icheck,iVar)^(A_Constant(iVar,2)))+A_Constant(iVar,3))^(A_Constant(iVar,4));
            if A_Value==0
                check_A(iVar)=check_A(iVar)+1;
                A_0(iVar,check_A(iVar))=icheck;
            end
        end
    end
end

check_A_sum=0;
for iVar=1:N_A_Selected
    check_A_sum=check_A_sum+check_A(iVar);
end
if (check_B==0 & check_A_sum==0)
    close;
else
    namelist='';
    if check_B~=0
        namelist=Name_B_Selected;
    end
    if check_A_sum~=0
        for iVar=1:N_A_Selected
            if check_A(iVar)~=0
                Name_A_Selected_temp=Name_A_Selected(iVar,:);
                    namelist=[namelist ' ' Name_A_Selected_temp];
            end
        end
    end
    message=char(['Warning: log of 0 for '],[namelist]);
    msgbox(message,'Warning','warn');
    uiwait;
end






%IC  Callback function for h_TFB_Edit
function TFB_Edit_Callback(src,eventdata,iTF)
global h_TFB_Edit

if isnan(str2double(get(h_TFB_Edit(iTF),'String'))) | ~isreal(str2double(get(h_TFB_Edit(iTF),'String')))
    msgbox('Value entered is not a number.','Error','error');
    uiwait;
    if iTF==3
        set(h_TFB_Edit(iTF),'String','0');
    else
        set(h_TFB_Edit(iTF),'String','1');
    end
end






%IC  Callback function for h_TFA_Edit
function TFA_Edit_Callback(src,eventdata,iVar,iTF)
global h_TFA_Edit

if isnan(str2double(get(h_TFA_Edit(iVar-1,iTF),'String'))) | ~isreal(str2double(get(h_TFA_Edit(iVar-1,iTF),'String')))
    msgbox('Value entered is not a number.','Error','error');
    uiwait;
    if iTF==3
        set(h_TFA_Edit(iVar-1,iTF),'String','0');
    else
        set(h_TFA_Edit(iVar-1,iTF),'String','1');
    end
end
