function GUI_Choose(Name_list1,Name_list2)
global A_Selected B_Selected N_A_Selected Name_A_Selected Name_B_Selected
global h_Listbox1 h_Listbox2

%IC  Create "Select Parameters" figure
    h_SPfig=figure('Name','WREG ver 1.0 - Select Variables',...
        'NumberTitle','off',...
        'MenuBar','none',...
        'Color',[0.83 0.81 0.78],...
        'Units','normalized',...
        'Position',[0.25 0.25 0.5 0.5],...
        'Resize','on');

    h_Listbox1Title=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.052 0.9 0.38 0.064],...
        'Style','text',...
        'String','Dependent Variables:',...
        'FontUnits','normalized',...
        'FontSize',0.8,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);
            
    h_Listbox1=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.052 0.238 0.336 0.614],...
        'Style','listbox',...
        'String',Name_list1,...
        'Max',1.0,...
        'Min',0.0,...
        'FontUnits','normalized',...
        'FontSize',0.08,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','center',...
        'BackgroundColor',[0.83 0.81 0.78]);
            
    h_Listbox1Text=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.059 0.14 0.427 0.076],...
        'Style','text',...
        'String','Select only 1',...
        'FontUnits','normalized',...
        'FontSize',0.625,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);
      
    h_Listbox2Title=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.441 0.9 0.4 0.064],...
        'Style','text',...
        'String','Independent Variables:',...
        'FontUnits','normalized',...
        'FontSize',0.8,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);
            
    h_Listbox2=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.441 0.238 0.336 0.614],...
        'Style','listbox',...
        'String',Name_list2,...
        'Max',2.0,...
        'Min',0.0,...
        'FontUnits','normalized',...
        'FontSize',0.08,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','center',...
        'BackgroundColor',[0.83 0.81 0.78],...
        'Callback',{@Listbox2_Callback});
    
    h_Listbox2Text=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.448 0.14 0.427 0.076],...
        'Style','text',...
        'String','Select no more than 5',...
        'FontUnits','normalized',...
        'FontSize',0.625,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);
      
    h_BottomText1=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.052 0.082 0.595 0.06],...
        'Style','text',...
        'String','Hold ''Ctrl'' to select more than one variable. ',...
        'FontUnits','normalized',...
        'FontSize',0.6,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);

    h_BottomText2=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.052 0.025 0.595 0.06],...
        'Style','text',...
        'String','Press ''Alt'' + ''PrntScrn'' to obtain screen capture. ',...
        'FontUnits','normalized',...
        'FontSize',0.6,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);

    h_SelectPOK=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.82 0.464 0.157 0.119],...
        'Style','pushbutton',...
        'String','OK',...
        'FontUnits','normalized',...
        'FontSize',0.55,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','center',...
        'BackgroundColor',[0.83 0.81 0.78],...
        'Callback',{@SelectPOK_Callback});
    
%IC put in copyright info
    h_CRText1=uicontrol(h_SPfig,...
        'Units','normalized',...
        'Position',[0.5 0 0.34 0.04],...
        'Style','text',...
        'String','MATLAB(R). (c) 1984-2007 The MathWorks, Inc.',...
        'FontUnits','normalized',...
        'FontSize',0.6,...
        'FontName','MS Sans Serif',...
        'HorizontalAlignment','left',...
        'BackgroundColor',[0.83 0.81 0.78]);
    
%IC put in USGS logo (original size 600*229 pixels)
    h_USGSAxes=axes('Units','normalized',...
        'Position',[0.841 0.014 0.143 0.074]);
    uistack(h_USGSAxes,'bottom');
    USGSlogo=imread('USGSlogo.JPG');
    h_USGSImage=imagesc(USGSlogo);
    colormap gray
%IC    set(h_USGSImage,'Alphadata',.5);
    set(h_USGSAxes,'Handlevisibility','off',...
        'Visible','off');

%IC Adjust screen size (developed in 1280*800)
    old_u_units=get(gcf,'Units');
    upos=get(gcf,'Position');
    fig_ratio=(upos(4)*800)/(upos(3)*1280);
    set(gcf,'Units','pixels');
    upos=get(gcf,'Position');
    upos_new=upos;
    upos_new(4)=upos_new(3)*fig_ratio;
    set(gcf,'Position',[upos_new(1) upos_new(2) upos_new(3) upos_new(4)]);
    set(gcf,'Units',old_u_units);
    upos=get(gcf,'Position');
    upos(2)=(1-upos(4))/2;
    set(gcf,'Position',[upos(1) upos(2) upos(3) upos(4)]);

    uiwait(gcf);


    
    
%IC  Callback function for Listbox2: cannot select more than 5 items
function Listbox2_Callback(src,eventdata)
global h_Listbox2

Selected_A=get(h_Listbox2,'Value');
Selected_A_Stored=get(h_Listbox2,'UserData');
if size(Selected_A,2)>5
    set(h_Listbox2,'Value',Selected_A_Stored);
    Selected_A=get(h_Listbox2,'Value');
end
Selected_A_Stored=Selected_A;
set(h_Listbox2,'UserData',Selected_A_Stored);




%IC  Callback function for SelectPOK
%IC  Once OK is pushed, store item selection in B_Selected and A_Selected
%IC  Also store corresponding header in Name_B_Selected and Name_A_Selected
function SelectPOK_Callback(src,eventdata)
global A_Selected B_Selected N_A_Selected Name_A_Selected Name_B_Selected
global h_Listbox1 h_Listbox2

B_Selected=get(h_Listbox1,'Value');
A_Selected=get(h_Listbox2,'Value');
NameTemp=get(h_Listbox1,'String');
Name_B_Selected=NameTemp(B_Selected,:);
NameTemp=get(h_Listbox2,'String');
N_A_Selected=size(A_Selected,2);
for iName=1:N_A_Selected
    Name_A_Selected(iName,:)=NameTemp(A_Selected(iName),:);
end
Name_A_Selected=char(Name_A_Selected);
close;
      
